import { r as d, i as l, e as h } from "./query-assigned-elements-D930kELM.mjs";
import { s as n, C as b } from "./mwc-checkbox.css-2vEWGIGy.mjs";
const k = ":host{--mdc-checkbox-checked-color: var(--mdc-theme-primary);--mdc-checkbox-disabled-color: var(--mdc-theme-text-disabled-on-background);--mdc-checkbox-ink-color: var(--mdc-theme-on-primary);--mdc-checkbox-unchecked-color: var(--mdc-theme-text-icon-on-background)}";
var v = Object.getOwnPropertyDescriptor, x = (r, t, m, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, m) : t, o = r.length - 1, a; o >= 0; o--)
    (a = r[o]) && (e = a(e) || e);
  return e;
};
let c = class extends b {
};
c.styles = [n, l`${d(k)}`];
c = x([
  h("cv-checkbox")
], c);
const C = c;
export {
  c as CovalentCheckbox,
  C as default
};
